html {
    box-sizing: border-box;
    font-family: "Josefin Sans", Arial, sans-serif;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

body {
    margin: 0;
}

header {
	margin-bottom: 20px;
}

header h1 {
	margin: 0;
	color: #fff;
	line-height: 4;
	text-align: center;
	font-variant-caps: small-caps;
	letter-spacing: 4px;
	text-shadow: 0 -2px 2px rgba(0, 0, 0, 0.6);
	background: linear-gradient(to bottom, hsl(218, 62%, 80%) 1px, hsl(218, 62%, 50%) 2px, hsl(218, 62%, 8%));
	padding-left: 0px;
	padding-right: 0px;
}

/* START - .nav-main */
.nav-main {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 9999;
	line-height: 0;
	background: none;
}
 
.nav-main-menu-toggle {
	background: rgba(255, 255, 255, 0.312);
	-webkit-backdrop-filter: blur(5px);
	backdrop-filter: blur(5px);
	border-bottom: 2.5px solid #000;
	border-right: 2.5px solid #000;
	border-top: none;
	border-left: none;
	margin-bottom: -2.5px;
	cursor: pointer;
	padding: 0;
	line-height: 0;
}
 
/* SET SVG TRANSFORMS - based on individual elements not SVG box */
.nav-main-menu-toggle svg * {
	transform-box: fill-box;
}
 
/* HAMBURGER MENU ICON */
.nav-main-menu-toggle rect:nth-child(1) {
	transition: all 2s cubic-bezier(0.18, 0.89, 0.32, 1.28);
	transform-origin: center;
}
 
.nav-main-menu-toggle rect:nth-child(2) {
	transition: all 2.25s linear;
	transform-origin: center;
}
 
.nav-main-menu-toggle rect:nth-child(3) {
	transition: all 2s cubic-bezier(0.18, 0.89, 0.32, 1.28);
	transform-origin: center;
}
 
/* JAVASCRIPT WILL ADD - aria-expanded="true" - to .nav-main-menu-toggle */
.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(1) {
	rotate: 1.125turn;
	translate: 0 10px;
}
 
.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(2) {
	scale: 0;
}
 
.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(3) {
	rotate: -1.125turn;
	translate: 0 -10px;
}
 
/* END - .nav-main-menu-toggle */
 
#nav-main-menu {
	transform: translateX(-100%);
	transition: all 1s ease-in-out;
	position: absolute;
	width: fit-content;
	background: rgba(255, 255, 255, 0.312);
	-webkit-backdrop-filter: blur(5px);
	backdrop-filter: blur(5px);
	margin: 0;
	padding: 0;
	list-style: none;
	display: flex;
	visibility: hidden;
	flex-wrap: nowrap;
	flex-direction: column;
    border-bottom: 2.5px solid #000;
	border-right: 2.5px solid #000;
	border-top: 2.5px solid #000;
}
 
#nav-main-menu:not([hidden]) {
	visibility: visible;
	transform: translateX(0);
	transition: all 1.8s ease-in-out;
}
 
#nav-main-menu li a {
	color: inherit;
	display: flex;
	line-height: 3;
	padding: 0 2em;
	transition: all .25s ease-in-out;
	text-decoration: none;
}
 
#nav-main-menu li a:hover,
#nav-main-menu li a:focus {
	background: #fff;
}
 
/* END - .nav-main */

main {
    width: 98%;
    max-width: 960px;
    margin: 0 auto;
}

h2 {
	margin: 24px 0 6px;
	font-variant-caps: small-caps;
}

.callout {
    background: linear-gradient(to right, #555555 0%, #3F3F3F 80%);
    padding: 12px;
}

.callout-heading {
    color: white;
    font-size: 3em;
    margin: 0 0 32px;
}

.callout-intro {
    color: white;
    font-size: 1.5em;
    margin: 0 0 16px;
}

.subscribe-newsletter {
    --color-white-20: hsla(0, 0%, 100%, 0.20);
    --color-white-40: hsla(0, 0%, 100%, 0.40);
    --color-white-60: hsla(0, 0%, 100%, 0.60);
    --color-white-80: hsla(0, 0%, 100%, 0.80);
    --color-black-20: hsla(0, 0%, 0%, 0.20);
    --color-black-40: hsla(0, 0%, 0%, 0.40);
    --color-black-60: hsla(0, 0%, 0%, 0.60);
    --color-black-80: hsla(0, 0%, 0%, 0.80);
    --color-button-dark: rgb(104, 0, 0);
    --color-button-light: rgb(197, 0, 0);
    --z-index: -1;
}

.subscribe-newsletter {
    transition: all 1s ease-in;
    background: var(--color-white-20);
    border-radius: .5em;
}

.subscribe-newsletter {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: stretch;
    overflow: hidden;
}

.subscribe-newsletter fieldset {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0;
    margin: 0;
    border: none;
}

.subscribe-newsletter fieldset:first-child {
    flex: 1 1 auto;
}

.subscribe-newsletter fieldset:last-child::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: url("images/loader-02.svg") no-repeat center;
    background-size: 25%;
    z-index: var(--z-index, -1);
}

.subscribe-newsletter input:not([type="radio"]):not([type="checkbox"]) {
    -webkit-appearance: none;
    appearance: none;
    border: none;
    border-radius: 0;
}

.subscribe-newsletter input {
    position: relative;
    font-family: inherit;
    font-size: 1.2em;
    line-height: 2.4;
    letter-spacing: 0.05em;
    padding: 0 .5em;
    margin: 0;
    color: var(--color-button-dark);
}

.subscribe-newsletter input[type=email] {
    background: var(--color-white-60);
}

.subscribe-newsletter input[type=email]:focus {
    outline: none;
    box-shadow: inset 0 0 0 2px var(--color-button-dark);
}

.subscribe-newsletter input::placeholder {
    position: relative;
    color: var(--color-button-dark);
    opacity: .4
}

.subscribe-newsletter input::placeholder {
    transition: 2s cubic-bezier(1, 1.65, 0.35, 1.32), opacity .25s ease;
}

.subscribe-newsletter input:focus::placeholder {
    transform: translateX(100%);
    transition: transform 1s cubic-bezier(0.15, 0.69, 0.7, -0.42), opacity 2s ease;
    opacity: 0
}

.subscribe-newsletter input[type=submit],
.subscribe-newsletter input[type=submit]:invalid {
    background: var(--color-button-dark);
    color: white;
    font-weight: bold;
    text-transform: uppercase;
    padding: 0 1em;
    transition: all 1s .5s ease-in;
    transform-origin: right center;
    transform: scale(1);
    box-shadow: 0 0 0px 0px var(--color-black-60);
}

.subscribe-newsletter:valid input[type=submit] {
    color: var(--color-button-dark);
    background: var(--color-button-light);
    transform: scale(1);
    box-shadow: -2px 2px 4px var(--color-black-60), -2px -2px 4px var(--color-black-60);
}

.subscribe-newsletter fieldset input[type=submit]:disabled {
    background: var(--color-white-80);
    color: black;
    transform: scale(1);
    box-shadow: 0 0 0px 0px var(--color-black-60);
}

.subscribe-newsletter label {
    color: var(--color-white-80);
    line-height: 1.625em;
    padding: 0 .5em;
}

.subscribe-newsletter.sending {
    background: var(--color-white-60);
}

.subscribe-newsletter.received {
    background: var(--color-white-20);
}

.subscribe-newsletter .subscribe-newsletter-message-error {
    background: var(--color-button-dark);
}

.subscribe-newsletter .subscribe-newsletter-message-success {
    background: var(--color-white-80);
    color: var(--color-button-dark);
    font-size: 1.6em;
    flex: 1;
    text-align: center;
}

footer {
    margin-top: 10px;
}

@media (min-width: 768px) {
    .callout {
        padding: 80px;
    }

    .subscribe-newsletter {
        flex-direction: row;
        height: 8em;
        align-items: center;
    }

    .subscribe-newsletter:valid input[type=submit] {
        transform: scale(1.2);
    }

    header h1 {
	    font-size: 5em;
	    font-variant-caps: small-caps;
	    line-height: 2;
	    border-top-left-radius: 0px;
	    border-top-right-radius: 0px;
	    padding-left: 0px;
	    padding-right: 0px;
	    padding-top: 10px;
	}

    h2 {
        font-size: 4em;
    }

	.nav-main {
		position: static;
		top: auto;
		left: auto;
		z-index: auto;
	}
  
	.nav-main-menu-toggle {
		display: none;
	}
  
	#nav-main-menu {
        font-size: 2em;
		position: relative;
		visibility: visible;
		transform: translateX(0);
		transition: none;
		background: #c3d5f5;
		display: flex;
		flex-direction: row;
		justify-content: space-evenly;
        justify-self: center;
        border: 5px solid #000;
		border-radius: 10px;
	}
}